import * as React from "react";
import * as PropTypes from "prop-types";
import * as MarkdownIt from "markdown-it";
export declare function getMd(): MarkdownIt;
export interface DataProps {
    /**
     * The Markdown string.
     */
    text?: string;
    /**
     * Use Custom Markdown CSSText.
     */
    CSSText?: string;
    md?: MarkdownIt;
}
export interface MarkdownRenderProps extends DataProps, React.HTMLAttributes<HTMLDivElement> {
}
export declare class MarkdownRender extends React.Component<MarkdownRenderProps> {
    static contextTypes: {
        theme: PropTypes.Requireable<object>;
    };
    context: {
        theme: ReactUWP.ThemeType;
    };
    componentDidMount(): void;
    componentDidUpdate(): void;
    getMd: () => MarkdownIt;
    updateThemeStyle: () => void;
    getClassName: () => string;
    render(): JSX.Element;
}
export default MarkdownRender;
export declare function getMarkdownCSSText(theme: ReactUWP.ThemeType, className: string, fontSize?: number): string;
